--[[
Copyright 2014 Control4 Corporation.  All rights reserved.

+++ intercom_constants.lua +++
Constants defined or used by the intercom proxy
]]


CURRENT_STATE = {
	CS_NOTREADY = 0,
	CS_IDLE = 1,
	CS_BUSY = 2,
	CS_MAX_CALLS = 3
}

-- notification params
NOTIFICATION_PARAM = {
	CURRENT_STATE_PARAM = "CURRENT_STATE",
	RINGER_VOLUME_PARAM = "RINGER_VOLUME",
	SPEAKER_VOLUME_PARAM = "SPEAKER_VOLUME",
	MICROPHONE_GAIN_PARAM = "MICROPHONE_GAIN",
	DEVICE_ID_PARAM = "deviceId",
	SESSION_ID_PARAM = "sessionId",
	CALL_TYPE_PARAM	= "callType",
	HANGUP_TYPE_PARAM = "hangupType",
	REMOTE_DEVICE_ID_PARAM = "remoteDeviceId",
	AUDIO_PARAM	= "audio",
	VIDEO_PARAM	= "video",
	CAMERA_ENABLED_PARAM = "cameraEnabled",
	AEC_ENABLED_PARAM = "aecEnabled",
	USE_CAMERA_PARAM = "useCamera",
	MUTE_AUDIO_PARAM = "muteAudio",
	USER_NAME_PARAM	= "userName",
	PASSWORD_PARAM	= "password"
}

-- notifications
NOTIFICATIONS = {
	CURRENT_STATE_CHANGED_NTF = "CURRENT_STATE_CHANGED",
	RINGER_VOLUME_CHANGED_NTF = "RINGER_VOLUME_CHANGED",
	SPEAKER_VOLUME_CHANGED_NTF = "SPEAKER_VOLUME_CHANGED",
	MICROPHONE_GAIN_CHANGED_NTF	= "MICROPHONE_GAIN_CHANGED",
	CALL_ENDED_NTF = "CALL_ENDED",
	INCOMING_CALL_NTF = "INCOMING_CALL",
	OUTGOING_CALL_NTF = "OUTGOING_CALL",
	CALL_ACCEPTED_NTF = "CALL_ACCEPTED",
	CALL_REJECTED_NTF = "CALL_REJECTED",
	CALL_PAUSED_NTF	= "CALL_PAUSED",
	CALL_RESUMED_NTF = "CALL_RESUMED",
	CAMERA_ENABLED_CHANGED_NTF = "CAMERA_ENABLED_CHANGED",
	CONSERVATIVE_AEC_CHANGED_NTF = "CONSERVATIVE_AEC_CHANGED",
	USE_CAMERA_CHANGED_NTF = "USE_CAMERA_CHANGED",
	MUTE_AUDIO_CHANGED_NTF = "MUTE_AUDIO_CHANGED",
	SIP_USERNAME_CHANGED_NTF = "SIP_USERNAME_CHANGED"
}

-- command params
COMMAND_PARAM = {
	RINGER_VOLUME_PARAM	= "ringerVol",
	SPEAKER_VOLUME_PARAM = "speakerVol",
	MICROPHONE_GAIN_PARAM = "microphoneGain",
	DEVICE_ID_PARAM = "deviceId",
	SESSION_ID_PARAM = "sessionId",
	REMOTE_DEVICE_ID_PARAM = "remoteDeviceId",
	AUDIO_PARAM	= "audio",
	VIDEO_PARAM	= "video",
	RING_PARAM = "ring",
	GROUP_ID_PARAM = "groupId",
	DEVICES_PARAM = "devices"
}
