
--[[
Copyright 2014 Control4 Corporation.  All rights reserved.

+++ intercom_debug.lua +++
Debugging for the Intercom Proxy
]]

INTERCOM_DEBUG = {
	
	TIMER = 0,
	PRINT = false,
	LOG = false,
	
	DEBUG = function(text)

		if INTERCOM_DEBUG.PRINT then

			print(text)
		end
		if INTERCOM_DEBUG.LOG then

			C4:DebugLog(text)
		end
	end,
	DEBUG_COMMAND = function (method, command, t_params)

		if INTERCOM_DEBUG.PRINT or INTERCOM_DEBUG.LOG then

			text = method .. ": Command = " .. command
			if t_params ~= nil then

				for param, value in pairs(t_params) do

					text = text .. "; " .. param .. " = " .. value
				end
			end
			INTERCOM_DEBUG.DEBUG(text)
		end
	end,
	END = function()
		
		INTERCOM_DEBUG.TIMER = C4:KillTimer(INTERCOM_DEBUG.TIMER)
	end,
	START = function()

		if INTERCOM_DEBUG.TIMER then

			INTERCOM_DEBUG.END()
		end
		INTERCOM_DEBUG.TIMER = C4:AddTimer(15, "MINUTES")
	end	
}
	
