--[[
Copyright 2014 Control4 Corporation.  All rights reserved.

+++ intercom_test.lua +++
Test notifications, commands, etc. using this module
]]

INTERCOM_TEST = {}

--[[
+++ Test_State_Changed_Idle +++
Purpose: Demonstrates how to notify the proxy from the protocol
that the device state has changed to idle 
]]
function INTERCOM_TEST.Test_State_Changed_Idle()
	
	NOTIFY.Current_State_Changed(CURRENT_STATE.CS_IDLE)
end

--[[
+++ Test_State_Changed_NotReady +++
Purpose: Demonstrates how to notify the proxy from the protocol
that the device state has changed to notready 
]]
function INTERCOM_TEST.Test_State_Changed_NotReady()
	
	NOTIFY.Current_State_Changed(CURRENT_STATE.CS_NOTREADY)
end

--[[
+++ Test_Ringer_Volume_Changed +++
Purpose: Demonstrates how to notify the proxy from the protocol
that the ringer volume has changed to 50 
]]
function INTERCOM_TEST.Test_Ringer_Volume_Changed()
	
	NOTIFY.Ringer_Volume_Changed(50)
end

--[[
+++ Test_Speaker_Volume_Changed +++
Purpose: Demonstrates how to notify the proxy from the protocol
that the speaker volume has changed to 50 
]]
function INTERCOM_TEST.Test_Speaker_Volume_Changed()
	
	NOTIFY.Speaker_Volume_Changed(50)
end

--[[
+++ Test_Speaker_Volume_Changed +++
Purpose: Demonstrates how to notify the proxy from the protocol
that the microphone gain has changed to 50 
]]
function INTERCOM_TEST.Test_Microphone_Gain_Changed()
	
	NOTIFY.Microphone_Gain_Changed(50)
end

--[[
+++ INTERCOM_TEST.Test_Incoming_Call +++
Purpose: Demonstrates how to notify the proxy of an incoming call 
]]
function INTERCOM_TEST.Test_Incoming_Call(device_id, remote_device_id)
	
	NOTIFY.Incoming_Call(device_id, 0, 0, remote_device_id, 0, 0)
end

--[[
+++ INTERCOM_TEST.Test_Outgoing_Call +++
Purpose: Demonstrates how to notify the proxy of an outgoing call 
]]
function INTERCOM_TEST.Test_Outgoing_Call(device_id, remote_device_id)
	
	NOTIFY.Outgoing_Call(device_id, 0, 0, remote_device_id, 0, 0)
end

--[[
+++ INTERCOM_TEST.Test_Call_Accepted +++
Purpose: Demonstrates how to notify the proxy of an accepted call
]]
function INTERCOM_TEST.Test_Call_Accepted(device_id)
	
	NOTIFY.Call_Accepted(device_id, 0, 0, 0)
end

--[[
+++ INTERCOM_TEST.Test_Call_Ended +++
Purpose: Demonstrates how to notify the proxy of a call that has ended
]]
function INTERCOM_TEST.Test_Call_Ended(device_id)
	
	NOTIFY.Call_Ended(device_id, 0, 0)
end

--[[
+++ INTERCOM_TEST.Test_Call_Rejected +++
Purpose: Demonstrates how to notify the proxy of a call that has been rejected
]]
function INTERCOM_TEST.Test_Call_Rejected(device_id)
	
	NOTIFY.Call_Rejected(device_id, 0, 0)
end

--[[
+++ INTERCOM_TEST.Test_Call_Paused +++
Purpose: Demonstrates how to notify the proxy of a call that has been paused
]]
function INTERCOM_TEST.Test_Call_Paused(device_id)
	
	NOTIFY.Call_Paused(device_id, 0)
end

--[[
+++ INTERCOM_TEST.Test_Call_Resumed +++
Purpose: Demonstrates how to notify the proxy of a call that has been resumed
]]
function INTERCOM_TEST.Test_Call_Resumed(device_id)
	
	NOTIFY.Call_Resumed(device_id, 0)
end

